> ## Documentation Index
> Fetch the complete documentation index at: https://developers.phonovation.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create message

> Inbound messages are automatically threaded in conversations if the channels and senders are configured for using Conversations.
To send an outbound message use this method with the following parameters, adding it to an existing conversation.
Please note that the response from sending a TEMPLATE content type is a message of the TEXT content type, containing the
template content filled with parameters. 

Also, HTTP header should contain parameter "x-agent-id" as agent identifier,
but only in case conversations are assigned to agents. <a href="https://www.phonovation.com/docs/conversations-api/messages" target="_blank">More info</a>

**Required scope:** Enable one of: `conversations:manage`.



## OpenAPI

````yaml /openapi/phonovation-whatsapp.json post /ccaas/1/conversations/{conversationId}/messages
openapi: 3.1.0
info:
  title: Phonovation Messaging APIs
  description: >-
    OpenAPI specification for Phonovation messaging, customer engagement, and
    platform APIs.
  contact:
    name: Phonovation support
    email: support@phonovation.com
  version: 3.250.0
  x-generatedAt: '2026-10-15T11:28:56.135064395Z'
servers:
  - url: https://api.messaging.phonovation.com
    description: Phonovation Messaging API production server
security: []
tags:
  - name: customer-engagement
    description: >
      Complete solutions that will help you drive better outcomes for your
      customers and business across the entire customer journey.
    x-type: category
    x-displayName: Customer Engagement
  - name: people
    description: >
      Build rich profiles for each person to create audience segments for more
      precise targeting. Manage duplicates and import your data over API.


      Events reflect actions that end users take on your website or in your
      mobile application.


      Events API is a robust way to send those events to Phonovation. Event can
      be sent only to an existing person in People module and an event
      definition should be created beforehand to describe contents of the event.


      Other events tracking options:

      * [ JavaScript SDK ](https://github.com/phonovation/people-web-sdk)

      * [iOS
      SDK](https://github.com/phonovation/mobile-messaging-sdk-ios/wiki/Events)

      * [Android
      SDK](https://github.com/phonovation/mobile-messaging-sdk-android/wiki/Events)
    x-type: product
    x-displayName: People
  - name: person-profile
    description: ''
    x-type: section
    x-displayName: Person profile
  - name: company-profile
    description: ''
    x-type: section
    x-displayName: Company profile
  - name: tags
    description: ''
    x-type: section
    x-displayName: Tags
  - name: custom-attributes
    description: ''
    x-type: section
    x-displayName: Custom attributes
  - name: custom-attributes-lists
    description: ''
    x-type: section
    x-displayName: 'Custom attributes: Lists'
  - name: contact-information:-push
    description: ''
    x-type: section
    x-displayName: 'Contact Information: Push'
  - name: events
    description: ''
    x-type: section
    x-displayName: Events
  - name: segments
    description: ''
    x-type: section
    x-displayName: Segments
  - name: moments
    description: >
      Use Moments to set up and manage automated messaging campaigns with your
      customers by building conversation workflows.
    x-type: product
    x-displayName: Moments
  - name: flow
    description: >
      [Flow](https://www.phonovation.com/docs/moments/manage-flow) is the
      Phonovation communication builder that helps you create and manage
      messaging campaigns. The Flows API allows you to add or remove people from
      communication programmatically for flows with an [active
      status](https://www.phonovation.com/docs/moments/manage-flow#launch-create).


      Use the Add Participants to flow endpoint to a person or batches of
      persons (between 1-1000 persons). The method works asynchronously to queue
      and process participants at a rate of 10 requests per second. For
      reporting of operation results, use the notifyUrl  field to provide a URL
      of your callback server that will receive a status report or use the Get a
      report on participants added to Flow endpoint.
    x-type: module
    x-displayName: Flow
  - name: conversations
    description: >-
      Conversations is a solution that allows Enterprises to engage in
      conversations with their customers over multiple channels. The solution is
      available either as a web-based cloud platform web interface or over HTTP
      API for 2-way messaging over SMS, WhatsApp, Viber, and Facebook messenger.
      It supports conversation threading, conversation management including
      queues and routing, agent assignment, resolution management and
      conversation history overview.
    x-type: product
    x-displayName: Conversations
  - name: conversation-management
    description: ''
    x-type: section
    x-displayName: Conversation management
  - name: conversation-tags
    description: ''
    x-type: section
    x-displayName: Conversation tags
  - name: conversation-messages
    description: ''
    x-type: section
    x-displayName: Conversation messages
  - name: conversation-events
    description: ''
    x-type: section
    x-displayName: Conversation events
  - name: conversation-notes
    description: ''
    x-type: section
    x-displayName: Conversation notes
  - name: conversation-agents
    description: ''
    x-type: section
    x-displayName: Conversation agents
  - name: conversation-queues
    description: ''
    x-type: section
    x-displayName: Conversation queues
  - name: conversation-routing
    description: ''
    x-type: section
    x-displayName: Conversation routing
  - name: bots
    description: ''
    x-type: section
    x-displayName: Bots
  - name: metadata
    description: ''
    x-type: section
    x-displayName: Metadata
  - name: templates
    description: ''
    x-type: section
    x-displayName: Templates
  - name: conversation-forms
    description: ''
    x-type: section
    x-displayName: Conversation forms
  - name: account-configuration
    description: ''
    x-type: section
    x-displayName: Account Configuration
  - name: agent-configuration-calls
    description: ''
    x-type: section
    x-displayName: Agent Configuration (Calls)
  - name: outbound-call-conversation-calls
    description: ''
    x-type: section
    x-displayName: Outbound Call Conversation (Calls)
  - name: waiting-strategies-calls
    description: ''
    x-type: section
    x-displayName: Waiting Strategies (Calls)
  - name: recording-configuration-calls
    description: ''
    x-type: section
    x-displayName: Recording Configuration (Calls)
  - name: recording-metadata-calls
    description: ''
    x-type: section
    x-displayName: Recording metadata (Calls)
  - name: recording-calls
    description: ''
    x-type: section
    x-displayName: Recording (Calls)
  - name: wrap-up-configuration-calls
    description: ''
    x-type: section
    x-displayName: Wrap Up Configuration (Calls)
  - name: wrap-up-time-calls
    description: ''
    x-type: section
    x-displayName: Wrap Up Time (Calls)
  - name: transfers-calls
    description: ''
    x-type: section
    x-displayName: Transfers (Calls)
  - name: transfer-to-external-number-configuration-calls
    description: ''
    x-type: section
    x-displayName: Transfer to External Number Configuration (Calls)
  - name: transfer-strategy-calls
    description: ''
    x-type: section
    x-displayName: Transfer Strategy (Calls)
  - name: call-hold-calls
    description: ''
    x-type: section
    x-displayName: Call Hold (Calls)
  - name: hold-configuration-calls
    description: ''
    x-type: section
    x-displayName: Hold Configuration (Calls)
  - name: call-timeout-calls
    description: ''
    x-type: section
    x-displayName: Call Timeout (Calls)
  - name: working-hours
    description: ''
    x-type: section
    x-displayName: Working Hours
  - name: tts-options-calls
    description: ''
    x-type: section
    x-displayName: TTS options (Calls)
  - name: away-audio-messages
    description: ''
    x-type: section
    x-displayName: Away Audio Messages
  - name: web-forms
    description: ''
    x-type: section
    x-displayName: Web Forms
  - name: answers
    description: >
      Answers is the Phonovation fully-encompassed chatbot building platform
      that enables you to build, test, and deploy highly customized chatbots of
      different types. Multiple channels are supported on Answers like WhatsApp,
      Facebook Messenger, Live Chat, Apple Business Chat, Viber, Google Business
      Messaging and other. Communication with Bot is achieved through existing
      Conversations solution infrastructure which enables integration and
      switching between communicating with bot and a live agent. Processing can
      start by receiving MO message or by receiving a trigger event. Users can
      manage bots (create, update, delete, start and stop bots) through a web
      interface. For more details, visit the [Answers
      documentation](https://www.phonovation.com/docs/answers).


      Answers API is in Early access stage.
    x-type: product
    x-displayName: Answers
  - name: answers-testing-start-test
    description: ''
    x-type: section
    x-displayName: Start Answers test
  - name: answers-testing-stop-test
    description: ''
    x-type: section
    x-displayName: Stop Answers test
  - name: answers-testing-send-message
    description: ''
    x-type: section
    x-displayName: Send inbound message to test
  - name: common-assets
    description: >
      Reuse assets created on Phonovation SaaS products in order to recreate
      configuration more easily on a single or across multiple accounts. Export
      or share Moments flows, Answers chatbots or other SaaS assets from your
      account and import it on another one.  


      This feature is in Early access stage.
    x-type: product
    x-displayName: Common Assets
  - name: saas-resource-export
    description: ''
    x-type: section
    x-displayName: Export resource
  - name: saas-resource-import
    description: ''
    x-type: section
    x-displayName: Import resource
  - name: saas-resource-share
    description: ''
    x-type: section
    x-displayName: Share resource
  - name: saas-status-request
    description: ''
    x-type: section
    x-displayName: Get SaaS request status
  - name: knowledge-base
    description: >-
      Knowledge Base is a centralized content management system for creating,
      organizing, and retrieving articles, attachments, and structured content.
      Content is organized into categories, folders, and a hierarchical content
      tree. Articles support draft and published workflow statuses, tagging,
      commenting, and file attachments.
    x-type: product
    x-displayName: Knowledge Base
  - name: knowledge-base-search
    description: ''
    x-type: section
    x-displayName: Search
  - name: knowledge-base-articles
    description: ''
    x-type: section
    x-displayName: Articles
  - name: knowledge-base-categories
    description: ''
    x-type: section
    x-displayName: Categories
  - name: knowledge-base-folders
    description: ''
    x-type: section
    x-displayName: Folders
  - name: knowledge-base-content-tree
    description: ''
    x-type: section
    x-displayName: Content Tree
  - name: knowledge-base-tags
    description: ''
    x-type: section
    x-displayName: Tags
  - name: knowledge-base-attachments
    description: ''
    x-type: section
    x-displayName: Attachments
  - name: ai-hub
    description: >
      AI-powered tools and services to help you create smarter and more
      personalized customer experiences.
    x-type: category
    x-displayName: AI Hub
  - name: ai-assistants
    description: >
      Phonovation AI assistant is a retrieval-augmented generation (RAG)
      solution that performs tasks based on documents and

      instructions you specify. This means the AI draws answers directly from
      your documents, resulting in more accurate

      and relevant responses. For more information on use cases and how to build
      AI assistants, visit our

      [AI Assistant](https://www.phonovation.com/docs/ai-hub/ai-assistant)
      product documentation.


      With AI Assistants API, you can:

      * Query your existing AI assistants created via [Phonovation
      Portal](https://www.phonovation.com/docs/ai-hub/ai-assistant/create-ai-assistant)

      * Retrieve context the AI assistant uses to answer your queries
    x-type: product
    x-displayName: AI Assistants
  - name: channels
    description: >
      Create a perfect customer experience by using the channels your customer
      already use and love.
    x-type: category
    x-displayName: Channels
  - name: sms
    description: >
      SMS (Short Message Service) is the most extensive messaging service
      available in terms of reach and coverage. A SMS can be sent to and from
      any mobile device in the world and does not necessarily require a data
      connection.


      Phonovation SMS API allows you to send and receive text messages (SMS),
      fetch or receive delivery reports on your endpoint in real time, and see
      message logs. You can send messages in different languages, schedule your
      messages, define delivery time window, and much more.


      To utilize SMS in combination with other channels, check out [Messages
      API](https://www.phonovation.com/docs/api/platform/messages-api).
    x-type: product
    x-displayName: SMS
  - name: outbound-sms
    description: >
      When you send an SMS to a phone number belonging to an end user's device
      you are sending an Outbound SMS. Historically, this was and still is
      referred to as a Mobile Terminated (MT) SMS, though nowadays an SMS is not
      always sent to a mobile device. In an Outbound SMS you can set the From or
      Sender field with whatever you have registered or purchased with
      Phonovation, either a Long Number, Short Code, or text based Sender.
    x-type: module
    x-displayName: Outbound SMS
  - name: send-message
    description: ''
    x-type: section
    x-displayName: Send a message
  - name: manage-scheduled-sms-messages
    description: ''
    x-type: section
    x-displayName: Manage Scheduled SMS Messages
  - name: confirm-conversion
    description: ''
    x-type: section
    x-displayName: Confirm conversion
  - name: inbound-sms
    description: >
      When an end user sends an SMS from their device to a Phone Number or Short
      Code they have sent an Inbound SMS. The Inbound SMS is routed to the
      Phonovation Platform and Phonovation in turn routes the SMS to its
      Customer who has purchased that Phone Number or Short Code. Inbound SMS,
      for historical reasons, are referred to as Mobile Originated (MO) SMS.
    x-type: module
    x-displayName: Inbound SMS
  - name: logs-and-status-reports
    description: >
      Status Reports tell you what happened to the SMS you sent, whether it was
      successfully delivered or failed to be delivered.

      They also provide timestamps, network information if available, and on SMS
      delivery failure, a status code indicating the reason. 

      Status Reports can be pushed in real-time to a Customer's webhook or can
      be retrieved by an API call. 

      Logs provide similar information to Status Reports but are available to
      query for 48hrs.
    x-type: module
    x-displayName: Logs and Status Reports
  - name: whatsapp
    description: >
      With 2 billion users, WhatsApp is the most used application worldwide. It
      enables you to reach more customers, sharing important and timely
      notifications, as well as provide real-time customer support. Phonovation
      is an official WhatsApp Business solution provider. Send and manage
      WhatsApp messages over Phonovation's WhatsApp API.


      To utilize WhatsApp in combination with other channels, check out
      [Messages
      API](https://www.phonovation.com/docs/api/platform/messages-api).


      [Learn more about WhatsApp channel and use
      cases](https://www.phonovation.com/docs/whatsapp).
    x-type: product
    x-displayName: WhatsApp
  - name: whatsapp-outbound-messages
    description: >
      When you send a WhatsApp message to a phone number belonging to an end
      user's device you are sending an outbound WhatsApp message. 

      There are several types of WhatsApp messages:
        - Template message – use a pre-defined template to send text, images, videos, share location, documents, attach buttons, and configure SMS failover.
        - Free-form text or media – use it only when contacted by the end user within a certain timeframe to send text, images, audio, video, stickers, share location, or contacts.
        - Interactive messages – send a message that your end user can interact with, such as interactive buttons, lists, or product messages.
    x-type: module
    x-displayName: Outbound messages
  - name: whatsapp-template-message
    description: ''
    x-type: section
    x-displayName: Template Message
  - name: whatsapp-text-and-media-messages
    description: ''
    x-type: section
    x-displayName: Text and media messages
  - name: send-whatsapp-interactive-messages
    description: ''
    x-type: section
    x-displayName: Interactive messages
  - name: whatsapp-events
    description: ''
    x-type: section
    x-displayName: Events
  - name: whatsapp-inbound-messages
    description: >
      When the end user sends a WhatsApp from their device to a phone number,
      they have sent an inbound WhatsApp message. 

      The inbound message is routed to the Phonovation Platform and Phonovation
      in turn routes the message to its customer who has registered the WhatsApp
      sender.

      Typical supporting features you’d use with inbound messages are:
        - Marking messages as read to communicate to the end user that you have read their message.
        - Downloading media and its metadata sent over by the end user.
    x-type: module
    x-displayName: Inbound messages
  - name: whatsapp-receive-inbound-message
    description: ''
    x-type: section
    x-displayName: Receive inbound message
  - name: whatsapp-get-inbound-media
    description: ''
    x-type: section
    x-displayName: Get inbound media
  - name: whatsapp-mark-message-as-read
    description: ''
    x-type: section
    x-displayName: Mark message as read
  - name: whatsapp-message-status-reports
    description: >
      Status Reports tell you what happened to the WhatsApp message you sent,
      whether it was successfully delivered or failed to be delivered, whether
      it’s been seen. 

      Status Reports can be pushed in real time to a customer's webhook or can
      be retrieved by an API call. 

      Logs provide similar information to Status Reports but are only available
      to query for 48hrs.

      There are a few reports you can set up for your WhatsApp messaging:
        - Delivery Reports - In case of a failure, you’ll receive a timestamp with a delivery failure message and a status code indicating the reason behind it.
        - Seen Reports – In case the message has been delivered successfully to the end user, this report will additionally inform you whether the message has been seen.
        - Payments - It provides all updates to your payment transaction in real time. It's also possible to fetch current state of the payment transaction in any time.
    x-type: module
    x-displayName: Message Status Reports
  - name: whatsapp-status-reports
    description: ''
    x-type: section
    x-displayName: Status Reports
  - name: whatsapp-payments
    description: ''
    x-type: section
    x-displayName: Payments
  - name: whatsapp-marketing-update
    description: ''
    x-type: section
    x-displayName: Marketing Update
  - name: whatsapp-service-management
    description: >
      As opposed to free-form messages, template messages can be sent and
      delivered at any time. 

      Here, you can manage your templates, from template registration,
      retrieving template statuses, to deleting existing templates.

      With each WhatsApp message, you can send various types of media. Here, you
      can manage your media and configure additional feature enhancing their
      functionality.

      Moreover you can fetch quality and business info of your senders.
    x-type: module
    x-displayName: Service Management
  - name: whatsapp-template-management
    description: ''
    x-type: section
    x-displayName: Template Management
  - name: whatsapp-flow-management
    description: ''
    x-type: section
    x-displayName: Flow Management
  - name: whatsapp-media-management
    description: ''
    x-type: section
    x-displayName: Media Management
  - name: whatsapp-sender-management
    description: ''
    x-type: section
    x-displayName: Sender Management
  - name: whatsapp-bulk-sender-registration
    description: ''
    x-type: section
    x-displayName: Bulk Sender Registration
  - name: whatsapp-identity-management
    description: >
      Set up identity change, an add-on available for senders hosted by
      Phonovation. This is supported for interactive buttons, interactive lists,
      or an interactive product message. 

      Identity change allows you to increase your security by preventing
      messages from being sent to unverified end users. 

      Once enabled for a sender, you would receive notifications when an end
      user's WhatsApp account (MSISDN) has potentially been transferred to a
      different user. 

      When a potential identity change has been detected, the outbound traffic
      towards that end user is blocked until you verify the user outside the
      channel and acknowledge the change.

      Contact your Account Executive for more information.
    x-type: module
    x-displayName: Identity Management
  - name: whatsapp-ad-conversions
    description: >
      The Conversions API for Business Messaging enables advertisers to
      consolidate web, app, physical store, and business messaging events into a
      single endpoint for Meta. With Phonovation, you can submit Purchase or
      LeadSubmitted conversion events for WhatsApp.
    x-type: module
    x-displayName: Ad Conversions
  - name: platform
    description: |
      Modular tools to scale and automate your business.
    x-type: category
    x-displayName: Platform
  - name: subscriptions-api
    description: >
      Subscriptions are a way to manage notifications sent to your webhooks by
      Phonovation.

      It is a useful feature if you want to narrow down the list of events to be
      notified about or specify different webhooks for different use cases.

      It will also allow you to set up authentication settings for your
      endpoint.


      If you want to use mutual TLS for the webhook that receives notification
      events from Phonovation, you can upload and manage a TLS certificate that
      Phonovation will use when connecting to your server. The certificate
      allows your server to verify that the request is really coming from
      Phonovation. For details, see [Create and Manage
      Certificates](https://www.phonovation.com/docs/cpaas-x/subscriptions-management/create-manage-subscriptions#create-and-manage-certificates).
    x-type: product
    x-displayName: Subscriptions Management
  - name: subscription
    description: ''
    x-type: section
    x-displayName: Subscription
  - name: profile
    description: ''
    x-type: section
    x-displayName: Profile
  - name: security
    description: ''
    x-type: section
    x-displayName: Security
  - name: certificate
    description: ''
    x-type: section
    x-displayName: Certificate
paths:
  /ccaas/1/conversations/{conversationId}/messages:
    post:
      tags:
        - customer-engagement
        - conversations
        - conversation-messages
      summary: Create message
      description: >-
        Inbound messages are automatically threaded in conversations if the
        channels and senders are configured for using Conversations.

        To send an outbound message use this method with the following
        parameters, adding it to an existing conversation.

        Please note that the response from sending a TEMPLATE content type is a
        message of the TEXT content type, containing the

        template content filled with parameters. 


        Also, HTTP header should contain parameter "x-agent-id" as agent
        identifier,

        but only in case conversations are assigned to agents. <a
        href="https://www.phonovation.com/docs/conversations-api/messages"
        target="_blank">More info</a>


        **Required scope:** Enable one of: `conversations:manage`.
      operationId: create-message
      parameters:
        - name: conversationId
          in: path
          description: Id of the conversation to set message for.
          required: true
          style: simple
          explode: false
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/e89661b226e518f36a162935afcdf1132c95b0e63e9c86c5ef5f31c5a8d865a2.CreateMessageApiRequest
            examples:
              Sending SMS message.:
                summary: Sending SMS message.
                description: Sending SMS message.
                value:
                  from: '353861234594'
                  to: '353861234598'
                  channel: SMS
                  contentType: TEXT
                  content:
                    text: Text content.
              Sending WHATSAPP message with IMAGE content.:
                summary: Sending WHATSAPP message with IMAGE content.
                description: Sending WHATSAPP message with IMAGE content.
                value:
                  from: '353861234594'
                  to: '353861234598'
                  channel: WHATSAPP
                  contentType: IMAGE
                  content:
                    url: https://www.url.com/assets/image.jpg
              Sending WHATSAPP message with LOCATION content.:
                summary: Sending WHATSAPP message with LOCATION content.
                description: Sending WHATSAPP message with LOCATION content.
                value:
                  from: '353861234594'
                  to: '353861234598'
                  channel: WHATSAPP
                  contentType: LOCATION
                  content:
                    longitude: -1.826323
                    latitude: 51.178844
                    locationName: Location
                    address: Address
              Sending VIBER message with LOCATION content.:
                summary: Sending VIBER message with LOCATION content.
                description: Sending VIBER message with LOCATION content.
                value:
                  from: DemoCompany
                  to: '353861234598'
                  channel: VIBER
                  contentType: LOCATION
                  content:
                    longitude: 1.2
                    latitude: 3.4
                    locationName: Location
                    address: Address Name
              Sending WHATSAPP message with DOCUMENT content.:
                summary: Sending WHATSAPP message with DOCUMENT content.
                description: Sending WHATSAPP message with DOCUMENT content.
                value:
                  from: '353861234594'
                  to: '353861234598'
                  channel: WHATSAPP
                  contentType: DOCUMENT
                  content:
                    url: https://www.url.com/assets/document.doc
              Sending WHATSAPP message with VIDEO content.:
                summary: Sending WHATSAPP message with VIDEO content.
                description: Sending WHATSAPP message with VIDEO content.
                value:
                  from: '353861234594'
                  to: '353861234598'
                  channel: WHATSAPP
                  contentType: VIDEO
                  content:
                    url: https://www.url.com/assets/video.avi
              Sending WHATSAPP message with AUDIO content.:
                summary: Sending WHATSAPP message with AUDIO content.
                description: Sending WHATSAPP message with AUDIO content.
                value:
                  from: '353861234594'
                  to: '353861234598'
                  channel: WHATSAPP
                  contentType: AUDIO
                  content:
                    url: https://www.url.com/assets/audio.mp3
              Sending WHATSAPP message with CONTACT content.:
                summary: Sending WHATSAPP message with CONTACT content.
                description: Sending WHATSAPP message with CONTACT content.
                value:
                  from: '353861234594'
                  to: '353861234598'
                  channel: WHATSAPP
                  contentType: CONTACT
                  content:
                    contacts:
                      - name:
                          first_name: First Name
                          last_name: Last Name
                          formatted_name: Formatted First Last Name
                        org:
                          company: Company Name
                        emails:
                          - email: first@last@company.com
                            type: private
                        urls:
                          - url: https://url.com/assets/profile
                            type: PROFILE
                        birthday: '2019-02-18'
                        addresses:
                          - city: City
                            country: Country
                            countryCode: '123'
                            street: Street name
                            type: WORK
                            zip: '12345'
                        phones:
                          - phone: +123 456 789
                            type: Mobile
                            waId: '123456'
                          - phone: +123 456 7890
                            type: Work
              Sending WHATSAPP message with TEMPLATE content.:
                summary: Sending WHATSAPP message with TEMPLATE content.
                description: Sending WHATSAPP message with TEMPLATE content.
                value:
                  from: '353861234594'
                  to: '353861234598'
                  channel: WHATSAPP
                  contentType: TEMPLATE
                  content:
                    templateName: welcome_multiple_languages
                    language: es
                    parameters:
                      - default: Pablo
              Sending WHATSAPP message with TEXT MEDIA TEMPLATE content.:
                summary: Sending WHATSAPP message with TEXT MEDIA TEMPLATE content.
                description: Sending WHATSAPP message with TEXT MEDIA TEMPLATE content.
                value:
                  from: '353861234594'
                  to: '353861234598'
                  channel: WHATSAPP
                  contentType: MEDIA_TEMPLATE
                  content:
                    templateName: text_media_template
                    language: en
                    header:
                      placeholder: Gustavo
                      type: TEXT
                    body:
                      placeholders:
                        - 6-15
                        - 17-19
                    buttons:
                      - parameters:
                          - support
                        type: URL
              Sending WHATSAPP message with INTERACTIVE URL BUTTON content.:
                summary: Sending WHATSAPP message with INTERACTIVE URL BUTTON content.
                description: Sending WHATSAPP message with INTERACTIVE URL BUTTON content.
                value:
                  from: '353861234593'
                  to: '353861234602'
                  channel: WHATSAPP
                  contentType: INTERACTIVE
                  content:
                    interactive:
                      header:
                        text: send reply header text
                        type: IMAGE
                        url: https://www.url.com/assets/image.jpg
                      body:
                        text: send reply body text
                      footer:
                        text: send reply footer text
                      action:
                        buttons:
                          - id: postback 1
                            title: button 1
                            type: BUTTON
                          - id: postback 2
                            title: button 2
                            type: BUTTON
                      type: BUTTON
              Sending WHATSAPP message with INTERACTIVE BUTTONS content.:
                summary: Sending WHATSAPP message with INTERACTIVE BUTTONS content.
                description: Sending WHATSAPP message with INTERACTIVE BUTTONS content.
                value:
                  from: '353861234593'
                  to: '353861234602'
                  channel: WHATSAPP
                  contentType: INTERACTIVE
                  content:
                    interactive:
                      header:
                        text: send reply header text
                        type: TEXT
                      body:
                        text: send reply body text
                      footer:
                        text: send reply footer text
                      action:
                        displayText: display text
                        url: http://localhost:8000
                      type: URL_BUTTON
              Sending WHATSAPP message with INTERACTIVE LIST content.:
                summary: Sending WHATSAPP message with INTERACTIVE LIST content.
                description: Sending WHATSAPP message with INTERACTIVE LIST content.
                value:
                  from: '353861234593'
                  to: '353861234602'
                  channel: WHATSAPP
                  contentType: INTERACTIVE
                  content:
                    interactive:
                      header:
                        text: header text
                        type: TEXT
                      body:
                        text: body text
                      footer:
                        text: footer text
                      action:
                        button: options
                        sections:
                          - title: section1 title
                            rows:
                              - id: row1.1
                                title: title1.1
                                description: description1.1
                              - id: row1.2
                                title: title1.2
                                description: description1.2
                          - title: section2 title
                            rows:
                              - id: row2.1
                                title: title2.1
                                description: description2.1
                      type: LIST
              Sending WHATSAPP message with INTERACTIVE FLOW content.:
                summary: Sending WHATSAPP message with INTERACTIVE FLOW content.
                description: Sending WHATSAPP message with INTERACTIVE FLOW content.
                value:
                  from: '353861234597'
                  to: '420951141432'
                  channel: WHATSAPP
                  contentType: INTERACTIVE
                  content:
                    interactive:
                      header:
                        text: header text
                        type: TEXT
                      body:
                        text: body text
                      footer:
                        text: footer text
                      action:
                        flowActionContent:
                          mode: PUBLISHED
                          messageVersion: 1
                          flowToken: Flow_token
                          flowId: 98E8D4AA79E2693357FAA
                          callToActionButton: start
                          flowAction: DATA_EXCHANGE
                          flowActionPayload:
                            screenId: av4b064a-ca48-45c7-9384-ccf233fd81ee
                            data:
                              data: test
                      type: FLOW
              Sending WHATSAPP message with DOCUMENT MEDIA TEMPLATE content.:
                summary: Sending WHATSAPP message with DOCUMENT MEDIA TEMPLATE content.
                description: Sending WHATSAPP message with DOCUMENT MEDIA TEMPLATE content.
                value:
                  from: '353861234594'
                  to: '353861234598'
                  channel: WHATSAPP
                  contentType: MEDIA_TEMPLATE
                  content:
                    templateName: document_media_template
                    language: en
                    header:
                      type: DOCUMENT
                      url: https://www.url.com/assets
                      filename: document.pdf
                    body:
                      placeholders:
                        - 6-15
                        - 17-19
                    buttons:
                      - parameters:
                          - 'yes'
                        type: QUICK_REPLY
                      - parameters:
                          - 'no'
                        type: QUICK_REPLY
              Sending WHATSAPP message with IMAGE MEDIA TEMPLATE content.:
                summary: Sending WHATSAPP message with IMAGE MEDIA TEMPLATE content.
                description: Sending WHATSAPP message with IMAGE MEDIA TEMPLATE content.
                value:
                  from: '353861234594'
                  to: '353861234598'
                  channel: WHATSAPP
                  contentType: MEDIA_TEMPLATE
                  content:
                    templateName: image_media_template
                    language: en
                    header:
                      type: IMAGE
                      url: https://www.url.com/assets/image.jpg
                    body:
                      placeholders:
                        - 6-15
                        - 17-19
                    buttons:
                      - parameters:
                          - 'yes'
                        type: QUICK_REPLY
                      - parameters:
                          - 'no'
                        type: QUICK_REPLY
              Sending WHATSAPP message with LOCATION MEDIA TEMPLATE content.:
                summary: Sending WHATSAPP message with LOCATION MEDIA TEMPLATE content.
                description: Sending WHATSAPP message with LOCATION MEDIA TEMPLATE content.
                value:
                  from: '353861234594'
                  to: '353861234598'
                  channel: WHATSAPP
                  contentType: MEDIA_TEMPLATE
                  content:
                    templateName: location_media_template
                    language: en
                    header:
                      latitude: 45.79359
                      longitude: 15.94613
                      type: LOCATION
                    body:
                      placeholders:
                        - 6-15
                        - 17-19
                    buttons:
                      - parameters:
                          - support
                        type: URL
              Sending WHATSAPP message with VIDEO MEDIA TEMPLATE content.:
                summary: Sending WHATSAPP message with VIDEO MEDIA TEMPLATE content.
                description: Sending WHATSAPP message with VIDEO MEDIA TEMPLATE content.
                value:
                  from: '353861234594'
                  to: '353861234598'
                  channel: WHATSAPP
                  contentType: MEDIA_TEMPLATE
                  content:
                    templateName: video_media_template
                    language: en
                    header:
                      type: VIDEO
                      url: https://www.url.com/assets/video.avi
                    body:
                      placeholders:
                        - 6-15
                        - 17-19
                    buttons:
                      - parameters:
                          - 'yes'
                        type: QUICK_REPLY
                      - parameters:
                          - 'no'
                        type: QUICK_REPLY
              Sending WHATSAPP message with INTERACTIVE PRODUCT content.:
                summary: Sending WHATSAPP message with INTERACTIVE PRODUCT content.
                description: Sending WHATSAPP message with INTERACTIVE PRODUCT content.
                value:
                  from: '353861234594'
                  to: '353861234598'
                  channel: WHATSAPP
                  contentType: WHATSAPP_PRODUCT
                  content:
                    body:
                      text: Test Product 1
                    footer:
                      text: Test footer 1
                    action:
                      catalogId: '123456789'
                      productRetailerId: productRetailerId
              Sending WHATSAPP message with INTERACTIVE MULTI PRODUCT content.:
                summary: >-
                  Sending WHATSAPP message with INTERACTIVE MULTI PRODUCT
                  content.
                description: >-
                  Sending WHATSAPP message with INTERACTIVE MULTI PRODUCT
                  content.
                value:
                  from: '353861234594'
                  to: '353861234598'
                  channel: WHATSAPP
                  contentType: WHATSAPP_MULTI_PRODUCT
                  content:
                    header:
                      text: Header multi 1
                    body:
                      text: Test Multi Product 1
                    footer:
                      text: Test multi footer 1
                    action:
                      catalogId: '123456789'
                      sections:
                        - title: section 1
                          productItems:
                            - productRetailerId: retailerId
                            - productRetailerId: productRetailerId
              Sending WHATSAPP message with INTERACTIVE CALL PERMISSION REQUEST content.:
                summary: >-
                  Sending WHATSAPP message with INTERACTIVE CALL PERMISSION
                  REQUEST content.
                description: >-
                  Sending WHATSAPP message with INTERACTIVE CALL PERMISSION
                  REQUEST content.
                value:
                  from: '353861234594'
                  to: '353861234598'
                  channel: WHATSAPP
                  contentType: INTERACTIVE
                  content:
                    interactive:
                      type: CALL_PERMISSION_REQUEST
              Sending WHATSAPP message with INTERACTIVE VOICE BUTTON content.:
                summary: >-
                  Sending WHATSAPP message with INTERACTIVE VOICE BUTTON
                  content.
                description: >-
                  Sending WHATSAPP message with INTERACTIVE VOICE BUTTON
                  content.
                value:
                  from: '353861234594'
                  to: '353861234598'
                  channel: WHATSAPP
                  contentType: INTERACTIVE
                  content:
                    interactive:
                      body:
                        text: body text
                      action:
                        buttonDisplayText: button display text
                      type: VOICE_BUTTON
              Sending WHATSAPP message with INTERACTIVE REQUEST CONTACT INFO BUTTON content.:
                summary: >-
                  Sending WHATSAPP message with INTERACTIVE REQUEST CONTACT INFO
                  BUTTON content.
                description: >-
                  Sending WHATSAPP message with INTERACTIVE REQUEST CONTACT INFO
                  BUTTON content.
                value:
                  from: '353861234594'
                  to: '353861234598'
                  channel: WHATSAPP
                  contentType: INTERACTIVE
                  content:
                    interactive:
                      body:
                        text: body text
                      type: REQUEST_CONTACT_INFO
              Sending WHATSAPP message with INTERACTIVE MEDIA CAROUSEL content.:
                summary: >-
                  Sending WHATSAPP message with INTERACTIVE MEDIA CAROUSEL
                  content.
                description: >-
                  Sending WHATSAPP message with INTERACTIVE MEDIA CAROUSEL
                  content.
                value:
                  from: '353861234594'
                  to: '353861234598'
                  channel: WHATSAPP
                  contentType: INTERACTIVE
                  content:
                    interactive:
                      body:
                        text: body text
                      action:
                        cards:
                          - header:
                              type: IMAGE
                              url: https://www.url.com/assets/image.jpg
                            body:
                              text: card body text
                            buttons:
                              - id: postback 1
                                title: button 1
                      type: MEDIA_CAROUSEL
              Sending FACEBOOK message with a message tag.:
                summary: Sending FACEBOOK message with a message tag.
                description: Sending FACEBOOK message with a message tag.
                value:
                  from: '113628916991966'
                  to: '4394903220582780'
                  channel: FACEBOOK_MESSENGER
                  contentType: TEXT
                  content:
                    text: Text content
                    tag: ACCOUNT_UPDATE
              Sending FACEBOOK message with IMAGE content.:
                summary: Sending FACEBOOK message with IMAGE content.
                description: Sending FACEBOOK message with IMAGE content.
                value:
                  from: '113628916991966'
                  to: '4394903220582780'
                  channel: FACEBOOK_MESSENGER
                  contentType: IMAGE
                  content:
                    url: https://www.url.com/assets/image.jpg
                    caption: Image caption
              Sending FACEBOOK TEXT message with QUICK REPLIES content.:
                summary: Sending FACEBOOK TEXT message with QUICK REPLIES content.
                description: Sending FACEBOOK TEXT message with QUICK REPLIES content.
                value:
                  from: '113628916991966'
                  to: '4394903220582780'
                  channel: FACEBOOK_MESSENGER
                  contentType: TEXT
                  content:
                    text: test
                    quickReplies:
                      - type: TEXT
                        title: Option 1
                        payload: Payload 1
                      - type: PHONE_NUMBER
                      - type: EMAIL
              Sending FACEBOOK TEMPLATE message with CALL BUTTON content.:
                summary: Sending FACEBOOK TEMPLATE message with CALL BUTTON content.
                description: Sending FACEBOOK TEMPLATE message with CALL BUTTON content.
                value:
                  from: '113628916991966'
                  to: '4394903220582780'
                  channel: FACEBOOK_MESSENGER
                  contentType: FACEBOOK_TEMPLATE
                  content:
                    payload:
                      type: BUTTON
                      text: payload
                      buttons:
                        - title: title
                          payload: '+123456789'
                          type: CALL
              Sending FACEBOOK TEMPLATE message with URL BUTTON content.:
                summary: Sending FACEBOOK TEMPLATE message with URL BUTTON content.
                description: Sending FACEBOOK TEMPLATE message with URL BUTTON content.
                value:
                  from: '113628916991966'
                  to: '4394903220582780'
                  channel: FACEBOOK_MESSENGER
                  contentType: FACEBOOK_TEMPLATE
                  content:
                    payload:
                      type: BUTTON
                      text: payload
                      buttons:
                        - title: URL Button title
                          url: https://www.url.com/assets/url
                          type: URL
              Sending FACEBOOK TEMPLATE message with POSTBACK BUTTON content.:
                summary: >-
                  Sending FACEBOOK TEMPLATE message with POSTBACK BUTTON
                  content.
                description: >-
                  Sending FACEBOOK TEMPLATE message with POSTBACK BUTTON
                  content.
                value:
                  from: '113628916991966'
                  to: '4394903220582780'
                  channel: FACEBOOK_MESSENGER
                  contentType: FACEBOOK_TEMPLATE
                  content:
                    payload:
                      type: BUTTON
                      text: payload
                      buttons:
                        - title: 'Yes'
                          payload: 'Yes'
                          type: POSTBACK
                        - title: 'No'
                          payload: 'No'
                          type: POSTBACK
              Sending FACEBOOK message with GENERIC TEMPLATE content.:
                summary: Sending FACEBOOK message with GENERIC TEMPLATE content.
                description: Sending FACEBOOK message with GENERIC TEMPLATE content.
                value:
                  from: '113628916991966'
                  to: '4394903220582780'
                  channel: FACEBOOK_MESSENGER
                  contentType: FACEBOOK_TEMPLATE
                  content:
                    payload:
                      type: GENERIC
                      text: payload
                      elements:
                        - title: Title 1
                          subtitle: Subtitle 1
                          imageUrl: https://www.url.com/assets/image1.jpg
                          defaultAction: https://www.url.com/assets/action1
                          buttons:
                            - title: title
                              payload: '+123456789'
                              type: CALL
                        - title: Title 2
                          subtitle: Subtitle 2
                          imageUrl: https://www.url.com/assets/image2.jpg
                          defaultAction: https://www.url.com/assets/action2
              Sending FACEBOOK TEXT message as a reply to Facebook comment.:
                summary: Sending FACEBOOK TEXT message as a reply to Facebook comment.
                description: Sending FACEBOOK TEXT message as a reply to Facebook comment.
                value:
                  from: '113628916991966'
                  to: '4394903220582780'
                  channel: FACEBOOK_MESSENGER
                  contentType: PRIVATE_REPLY_TO_SOCIAL_COMMENT
                  content:
                    externalMessageId: '123456789'
                    contentType: TEXT
                    content:
                      text: Hello, how can I help you?
              Sending FACEBOOK POST TEXT message as a reply to Facebook comment.:
                summary: >-
                  Sending FACEBOOK POST TEXT message as a reply to Facebook
                  comment.
                description: >-
                  Sending FACEBOOK POST TEXT message as a reply to Facebook
                  comment.
                value:
                  from: '342927978961470'
                  to: '8278368984819644'
                  channel: FACEBOOK_POST
                  contentType: TEXT
                  content:
                    text: This is a text example for message send via API.
              Sending FACEBOOK POST TEXT message with mentions as a reply to Facebook comment.:
                summary: >-
                  Sending FACEBOOK POST TEXT message with mentions as a reply to
                  Facebook comment.
                description: >-
                  Sending FACEBOOK POST TEXT message with mentions as a reply to
                  Facebook comment.
                value:
                  from: '342927978961470'
                  to: '8278368984819644'
                  channel: FACEBOOK_POST
                  contentType: TEXT
                  content:
                    socialMentions:
                      - startPosition: 0
                        endPosition: 9
                        userExternalId: '151848451515'
                    text: '@John.Doe This is a text example for message send via API.'
              Sending INSTAGRAM POST TEXT message as a reply to Facebook comment.:
                summary: >-
                  Sending INSTAGRAM POST TEXT message as a reply to Facebook
                  comment.
                description: >-
                  Sending INSTAGRAM POST TEXT message as a reply to Facebook
                  comment.
                value:
                  from: '342927978141470'
                  to: '8278368984819678'
                  channel: INSTAGRAM_POST
                  contentType: TEXT
                  content:
                    text: This is a text example for message send via API.
              Sending INSTAGRAM POST TEXT message with mentions as a reply to Instagram comment.:
                summary: >-
                  Sending INSTAGRAM POST TEXT message with mentions as a reply
                  to Instagram comment.
                description: >-
                  Sending INSTAGRAM POST TEXT message with mentions as a reply
                  to Instagram comment.
                value:
                  from: '342927978141470'
                  to: '8278368984819678'
                  channel: INSTAGRAM_POST
                  contentType: TEXT
                  content:
                    socialMentions:
                      - startPosition: 0
                        endPosition: 9
                        userExternalId: john.doe
                    text: '@John.Doe This is a text example for message send via API.'
              Sending LIVE CHAT message with TEXT content.:
                summary: Sending LIVE CHAT message with TEXT content.
                description: Sending LIVE CHAT message with TEXT content.
                value:
                  from: LiveChatSender
                  to: CHAT-a91f021b-2a4e-4a47-865e-f2aef4088da0-1587662002
                  channel: LIVE_CHAT
                  contentType: TEXT
                  content:
                    text: Text content.
              Sending LIVE CHAT message with LC_QUICK_REPLY content.:
                summary: Sending LIVE CHAT message with LC_QUICK_REPLY content.
                description: Sending LIVE CHAT message with LC_QUICK_REPLY content.
                value:
                  from: LiveChatSender
                  to: CHAT-a91f021b-2a4e-4a47-865e-f2aef4088da0-1587662002
                  channel: LIVE_CHAT
                  contentType: LC_QUICK_REPLY
                  content:
                    suggestedReplies:
                      - 'Yes'
                      - 'No'
                    sourceType: TEXT
                    source:
                      text: Ready to ask?
              Sending LIVE CHAT message with BUTTON content.:
                summary: Sending LIVE CHAT message with BUTTON content.
                description: Sending LIVE CHAT message with BUTTON content.
                value:
                  from: LiveChatSender
                  to: CHAT-a91f021b-2a4e-4a47-865e-f2aef4088da0-1587662002
                  channel: LIVE_CHAT
                  contentType: BUTTON
                  content:
                    buttonType: LIVECHAT
                    button:
                      text: 'Try options below:'
                      buttonPayloads:
                        - title: 'Yes'
                          type: POSTBACK
                          payload: 'Yes'
                        - title: 'No'
                          type: POSTBACK
                          payload: 'No'
                        - title: Google
                          type: URL
                          payload: https://google.com
              Sending LIVE CHAT message with VIDEO content.:
                summary: Sending LIVE CHAT message with VIDEO content.
                description: Sending LIVE CHAT message with VIDEO content.
                value:
                  from: LiveChatSender
                  to: CHAT-a91f021b-2a4e-4a47-865e-f2aef4088da0-1587662002
                  channel: LIVE_CHAT
                  contentType: VIDEO
                  content:
                    caption: null
                    url: https://www.url.com/assets/video.avi
              Sending LIVE CHAT message with IMAGE content.:
                summary: Sending LIVE CHAT message with IMAGE content.
                description: Sending LIVE CHAT message with IMAGE content.
                value:
                  from: LiveChatSender
                  to: CHAT-a91f021b-2a4e-4a47-865e-f2aef4088da0-1587662002
                  channel: LIVE_CHAT
                  contentType: IMAGE
                  content:
                    caption: null
                    url: https://www.url.com/assets/image.jpg
              Sending LIVE CHAT message with DOCUMENT content.:
                summary: Sending LIVE CHAT message with DOCUMENT content.
                description: Sending LIVE CHAT message with DOCUMENT content.
                value:
                  from: LiveChatSender
                  to: CHAT-a91f021b-2a4e-4a47-865e-f2aef4088da0-1587662002
                  channel: LIVE_CHAT
                  contentType: DOCUMENT
                  content:
                    caption: null
                    url: https://www.url.com/assets/document.doc
              Sending LIVE CHAT message with LC_CAROUSEL content.:
                summary: Sending LIVE CHAT message with LC_CAROUSEL content.
                description: Sending LIVE CHAT message with LC_CAROUSEL content.
                value:
                  from: LiveChatSender
                  to: CHAT-a91f021b-2a4e-4a47-865e-f2aef4088da0-1587662002
                  channel: LIVE_CHAT
                  contentType: LC_CAROUSEL
                  content:
                    cards:
                      - title: Card title
                        description: Card description
                        imageUrl: https://image.url
                        cardActions:
                          - title: Open URL
                            postbackData: https://open.url
                            type: URL
                          - title: Send postback data
                            postbackData: data-to-send
                            type: POSTBACK_DATA
                      - title: Card title
                        description: Card description
                        imageUrl: https://image.url
                        cardActions:
                          - title: Open URL
                            postbackData: https://open.url
                            type: URL
                          - title: Send postback data
                            postbackData: data-to-send
                            type: POSTBACK_DATA
              Sending LIVE CHAT message with LC_CAROUSEL message with QUICK REPLIES content.:
                summary: >-
                  Sending LIVE CHAT message with LC_CAROUSEL message with QUICK
                  REPLIES content.
                description: >-
                  Sending LIVE CHAT message with LC_CAROUSEL message with QUICK
                  REPLIES content.
                value:
                  from: LiveChatSender
                  to: CHAT-a91f021b-2a4e-4a47-865e-f2aef4088da0-1587662002
                  channel: LIVE_CHAT
                  contentType: LC_CAROUSEL
                  content:
                    cards:
                      - title: Card title
                        description: Card description
                        imageUrl: https://image.url
                        cardActions:
                          - title: Open URL
                            postbackData: https://open.url
                            type: URL
                          - title: Send postback data
                            postbackData: data-to-send
                            type: POSTBACK_DATA
                      - title: Card title
                        description: Card description
                        imageUrl: https://image.url
                        cardActions:
                          - title: Open URL
                            postbackData: https://open.url
                            type: URL
                          - title: Send postback data
                            postbackData: data-to-send
                            type: POSTBACK_DATA
                    quickReplies:
                      - quick
                      - replies
              Sending LIVE CHAT message with CUSTOM_DATA content.:
                summary: Sending LIVE CHAT message with CUSTOM_DATA content.
                description: Sending LIVE CHAT message with CUSTOM_DATA content.
                value:
                  from: c7c43fc4-0117-49c4-a1a3-2a527f413649
                  to: 57d2edb7-e64f-410c-90ec-f88c0ad59fd0
                  channel: LIVE_CHAT
                  contentType: CUSTOM_DATA
                  content:
                    agentMessage: Message to be displayed to the agent.
                    userMessage: Message to be displayed to the user.
                    customData:
                      key1: value1
                      key2: value2
              Sending TELEGRAM message with IMAGE content.:
                summary: Sending TELEGRAM message with IMAGE content.
                description: Sending TELEGRAM message with IMAGE content.
                value:
                  from: '353861234594'
                  to: '353861234598'
                  channel: TELEGRAM
                  contentType: IMAGE
                  content:
                    url: https://www.url.com/assets
                    caption: image.jpg
              Sending TELEGRAM TEXT message with REPLY BUTTON content.:
                summary: Sending TELEGRAM TEXT message with REPLY BUTTON content.
                description: Sending TELEGRAM TEXT message with REPLY BUTTON content.
                value:
                  from: '1234567890'
                  to: '0987654321'
                  channel: TELEGRAM
                  contentType: TEXT
                  content:
                    text: Please share your contact data.
                    replyMarkup:
                      keyboard:
                        - - text: Share contact information
                            type: TEXT_WITH_CONTACT
                      resizeKeyboard: true
                      oneTimeKeyboard: true
                      selective: false
                      input_field_placeholder: Placeholder text
                      type: REPLY_KEYBOARD_MARKUP_V2
              Sending VIBER BOT TEXT message with KEYBOARD content.:
                summary: Sending VIBER BOT TEXT message with KEYBOARD content.
                description: Sending VIBER BOT TEXT message with KEYBOARD content.
                value:
                  from: pa:5555160884103864311
                  to: qTj/1PNa1/G8TUWwQBaRVA==
                  channel: VIBER_BOT
                  contentType: TEXT
                  content:
                    text: hello world
                    keyboard:
                      backgroundColor: '#333333'
                      actionBarState: HIDDEN
                      buttonGrid:
                        buttonsGroupColumns: 6
                        buttonsGroupRows: 4
                        buttons:
                          - action:
                              actionBody: Button postback 1
                              actionType: REPLY
                            columns: 6
                            rows: 1
                            text:
                              text: Button 1
                            background:
                              color: '#00ffff'
                          - action:
                              actionBody: Button postback 2
                              actionType: REPLY
                            columns: 6
                            rows: 2
                            text:
                              text: Button 2
                            background:
                              color: '#00ff00'
                          - action:
                              actionBody: Button postback 3
                              actionType: REPLY
                            columns: 6
                            rows: 1
                            text:
                              text: Button 3
                            background:
                              color: '#ffff80'
              Sending VIBER BOT message with IMAGE content.:
                summary: Sending VIBER BOT message with IMAGE content.
                description: Sending VIBER BOT message with IMAGE content.
                value:
                  from: pa:5555160884103864311
                  to: qTj/1PNa1/G8TUWwQBaRVA==
                  channel: VIBER_BOT
                  contentType: IMAGE
                  content:
                    url: https://www.url.com/assets/image.jpg
              Sending VIBER BOT message with VIDEO content.:
                summary: Sending VIBER BOT message with VIDEO content.
                description: Sending VIBER BOT message with VIDEO content.
                value:
                  from: pa:5555160884103864311
                  to: qTj/1PNa1/G8TUWwQBaRVA==
                  channel: VIBER_BOT
                  contentType: VIBER_BOT_VIDEO
                  content:
                    url: https://www.url.com/assets/video.avi
                    size: '1500'
              Sending VIBER BOT message with CONTACT content.:
                summary: Sending VIBER BOT message with CONTACT content.
                description: Sending VIBER BOT message with CONTACT content.
                value:
                  from: pa:5555160884103864311
                  to: qTj/1PNa1/G8TUWwQBaRVA==
                  channel: VIBER_BOT
                  contentType: CONTACT
                  content:
                    contacts:
                      - name:
                          firstName: Phonovation
                          formattedName: Phonovation
                        phones:
                          - phone: '123456'
                            type: CELL
                            waId: '123456'
                        emails:
                          - email: email@phonovation.com
                            type: EMAIL
              Sending VIBER BOT message with LOCATION content.:
                summary: Sending VIBER BOT message with LOCATION content.
                description: Sending VIBER BOT message with LOCATION content.
                value:
                  from: pa:5555160884103864311
                  to: qTj/1PNa1/G8TUWwQBaRVA==
                  channel: VIBER_BOT
                  contentType: LOCATION
                  content:
                    latitude: 44.953
                    longitude: 13.8564
              Sending VIBER BOT message with CAROUSEL content.:
                summary: Sending VIBER BOT message with CAROUSEL content.
                description: Sending VIBER BOT message with CAROUSEL content.
                value:
                  from: pa:5555160884103864311
                  to: qTj/1PNa1/G8TUWwQBaRVA==
                  channel: VIBER_BOT
                  contentType: VIBER_BOT_CAROUSEL
                  content:
                    heightScale: 100
                    buttonGrid:
                      buttonsGroupColumns: 3
                      buttonsGroupRows: 4
                      buttons:
                        - columns: 3
                          rows: 2
                          media:
                            imageUrl: https://url.com/assets/image1.png
                            imageScaleType: FIT
                          action:
                            actionBody: image 1 clicked
                            actionType: REPLY
                        - columns: 3
                          rows: 1
                          text:
                            text: Example 1
                            size: LARGE
                            horizontalAlign: CENTER
                            verticalAlign: MIDDLE
                          action:
                            actionBody: Example 1 clicked
                            actionType: REPLY
                        - columns: 3
                          rows: 1
                          text:
                            text: Buy this one
                          background:
                            color: '#ff0000'
                            frame:
                              cornerRadius: 4
                          action:
                            actionBody: Buy Example 1
                            actionType: REPLY
                        - columns: 3
                          rows: 2
                          media:
                            imageUrl: https://url.com/assets/image2.png
                            imageScaleType: CROP
                          action:
                            actionBody: image 2 clicked
                            actionType: REPLY
                        - columns: 3
                          rows: 1
                          text:
                            text: Example 2
                            size: LARGE
                            horizontalAlign: CENTER
                            verticalAlign: MIDDLE
                          action:
                            actionBody: Example 2 clicked
                            actionType: REPLY
                        - columns: 3
                          rows: 1
                          text:
                            text: Buy this one
                          background:
                            color: '#ff0000'
                            frame:
                              cornerRadius: 4
                          action:
                            actionBody: Buy Example 2
                            actionType: REPLY
                        - columns: 3
                          rows: 2
                          media:
                            imageUrl: https://url.com/assets/image3.png
                            imageScaleType: FIT
                          action:
                            actionBody: image 3 clicked
                            actionType: REPLY
                        - columns: 3
                          rows: 1
                          text:
                            text: Example 3
                            size: LARGE
                            horizontalAlign: CENTER
                            verticalAlign: MIDDLE
                          action:
                            actionBody: Example 3 clicked
                            actionType: REPLY
                        - columns: 3
                          rows: 1
                          text:
                            text: Buy this one
                          background:
                            color: '#ff0000'
                            frame:
                              cornerRadius: 4
                          action:
                            actionBody: Buy Example 3
                            actionType: REPLY
                        - columns: 3
                          rows: 2
                          media:
                            imageUrl: https://url.com/assets/image4.png
                          action:
                            actionBody: image 4 clicked
                            actionType: REPLY
                        - columns: 3
                          rows: 1
                          text:
                            text: Example 4
                            size: LARGE
                            horizontalAlign: CENTER
                            verticalAlign: MIDDLE
                          action:
                            actionBody: Example 4 clicked
                            actionType: REPLY
                        - columns: 3
                          rows: 1
                          text:
                            text: Buy this one
                          action:
                            actionBody: Buy Example 4
                            actionType: REPLY
                    fromDetails:
                      name: Example Name
              Sending INSTAGRAM MESSAGING message with TEMPLATE content.:
                summary: Sending INSTAGRAM MESSAGING message with TEMPLATE content.
                description: Sending INSTAGRAM MESSAGING message with TEMPLATE content.
                value:
                  from: '353861234594'
                  to: '353861234598'
                  channel: INSTAGRAM_MESSAGING
                  contentType: INSTAGRAM_TEMPLATE
                  content:
                    payload:
                      elements:
                        - title: title 1
                          subtitle: subtitle
                          imageUrl: https://url.com/assets/image1.png
                          defaultAction:
                            url: https://url.com/assets/profile1/default
                          buttons:
                            - title: Title
                              payload: https://url.com/assets/buttons1.png
                              type: URL
                            - title: button postback
                              payload: payload
                              type: POSTBACK
                        - title: title 2
                          subtitle: subtitle
                          imageUrl: https://url.com/assets/image2.png
                          defaultAction:
                            url: https://url.com/assets/profile2/default
                          buttons:
                            - title: button postback 2
                              payload: payload 2
                              type: POSTBACK
                      type: GENERIC
              Sending INSTAGRAM MESSAGING message with TEXT content.:
                summary: Sending INSTAGRAM MESSAGING message with TEXT content.
                description: Sending INSTAGRAM MESSAGING message with TEXT content.
                value:
                  from: '353861234594'
                  to: '353861234598'
                  channel: INSTAGRAM_MESSAGING
                  contentType: TEXT
                  content:
                    text: What type of services do you specialise in?
              Sending INSTAGRAM MESSAGING message with IMAGE content.:
                summary: Sending INSTAGRAM MESSAGING message with IMAGE content.
                description: Sending INSTAGRAM MESSAGING message with IMAGE content.
                value:
                  from: '353861234594'
                  to: '353861234598'
                  channel: INSTAGRAM_MESSAGING
                  contentType: IMAGE
                  content:
                    url: https://www.url.com/assets/image.jpg
              Sending INSTAGRAM MESSAGING message with INSTAGRAM_STICKER content.:
                summary: >-
                  Sending INSTAGRAM MESSAGING message with INSTAGRAM_STICKER
                  content.
                description: >-
                  Sending INSTAGRAM MESSAGING message with INSTAGRAM_STICKER
                  content.
                value:
                  from: '353861234594'
                  to: '353861234598'
                  channel: INSTAGRAM_MESSAGING
                  contentType: INSTAGRAM_STICKER
                  content:
                    sticker: like_heart
              Sending INSTAGRAM MESSAGING message with QUICK REPLIES content.:
                summary: >-
                  Sending INSTAGRAM MESSAGING message with QUICK REPLIES
                  content.
                description: >-
                  Sending INSTAGRAM MESSAGING message with QUICK REPLIES
                  content.
                value:
                  from: '353861234594'
                  to: '353861234598'
                  channel: INSTAGRAM_MESSAGING
                  contentType: TEXT
                  content:
                    text: test
                    quickReplies:
                      - type: TEXT
                        title: Option 1
                        payload: Payload 1
                      - type: PHONE_NUMBER
                      - type: EMAIL
              Sending LINE TEMPLATE message with BUTTONS content.:
                summary: Sending LINE TEMPLATE message with BUTTONS content.
                description: Sending LINE TEMPLATE message with BUTTONS content.
                value:
                  from: '1654088914'
                  to: Ud1c123456789abcd12345efd7aa01234
                  channel: LINE
                  contentType: LINE_TEMPLATE
                  content:
                    type: LINE_TEMPLATE
                    altText: Buttons template with custom actions
                    template:
                      type: BUTTONS
                      thumbnailImageUrl: https://url.com/assets/image.png
                      imageAspectRatio: RECTANGLE
                      imageSize: COVER
                      imageBackgroundColor: '#FFFFFF'
                      title: Payload title
                      text: Payload text
                      defaultAction:
                        type: URI
                        label: Example uri action
                        uri: https://url.com/assets/defaults/action
                      actions:
                        - type: URI
                          label: URI action
                          uri: https://url.com/assets/action1
                        - type: DATETIMEPICKER
                          label: Picker action
                          data: Action data
                          mode: DATETIME
                          min: 2024-01-01T00:00
                          max: 2024-12-01T00:00
                        - type: POSTBACK
                          label: Postback action
                          data: action=buy&itemid=123
              Sending LINE TEMPLATE message with CAROUSEL content.:
                summary: Sending LINE TEMPLATE message with CAROUSEL content.
                description: Sending LINE TEMPLATE message with CAROUSEL content.
                value:
                  from: '1654088914'
                  to: Ud1c123456789abcd12345efd7aa01234
                  channel: LINE
                  contentType: LINE_TEMPLATE
                  content:
                    altText: Carousel template with custom actions
                    template:
                      type: CAROUSEL
                      imageAspectRatio: SQUARE
                      imageSize: CONTAIN
                      columns:
                        - thumbnailImageUrl: https://url.com/assets/image1.png
                          imageBackgroundColor: '#FFFFFF'
                          title: Column 1 title
                          text: Column 1 text
                          defaultAction:
                            type: URI
                            label: View detail 1
                            uri: https://url.com/assets/defaults/action1
                          actions:
                            - type: URI
                              label: View detail 1
                              uri: https://url.com/assets/action1
                            - type: POSTBACK
                              label: Buy item 1
                              data: action=buy&itemid=1
                        - thumbnailImageUrl: https://url.com/assets/image2.png
                          imageBackgroundColor: '#BBBBBB'
                          title: Column 2 title
                          text: Column 2 text
                          defaultAction:
                            type: URI
                            label: View detail 2
                            uri: https://url.com/assets/defaults/action2
                          actions:
                            - type: URI
                              label: View detail 2
                              uri: https://url.com/assets/action2
                            - type: POSTBACK
                              label: Buy item 2
                              data: action=buy&itemid=2
              Sending APPLE BUSINESS CHAT message with TEXT content.:
                summary: Sending APPLE BUSINESS CHAT message with TEXT content.
                description: Sending APPLE BUSINESS CHAT message with TEXT content.
                value:
                  from: 03dff63b-6100-44a9-b563-8fbc0295ec77
                  to: urn:urnId
                  channel: APPLE_BUSINESS_CHAT
                  contentType: TEXT
                  content:
                    text: This is a text example for Apple Business Chat.
              Sending APPLE BUSINESS CHAT message with IMAGE content.:
                summary: Sending APPLE BUSINESS CHAT message with IMAGE content.
                description: Sending APPLE BUSINESS CHAT message with IMAGE content.
                value:
                  from: 03dff63b-6100-44a9-b563-8fbc0295ec77
                  to: urn:urnId
                  channel: APPLE_BUSINESS_CHAT
                  contentType: IMAGE
                  content:
                    url: https://www.url.com/assets/image.png
              Sending APPLE BUSINESS CHAT message with LOCATION content.:
                summary: Sending APPLE BUSINESS CHAT message with LOCATION content.
                description: Sending APPLE BUSINESS CHAT message with LOCATION content.
                value:
                  from: 03dff63b-6100-44a9-b563-8fbc0295ec77
                  to: urn:urnId
                  channel: APPLE_BUSINESS_CHAT
                  contentType: LOCATION
                  content:
                    latitude: -12.34
                    longitude: 34.56
                    locationName: Location Name
                    address: Address Name
              Sending APPLE BUSINESS CHAT message with VIDEO content.:
                summary: Sending APPLE BUSINESS CHAT message with VIDEO content.
                description: Sending APPLE BUSINESS CHAT message with VIDEO content.
                value:
                  from: 03dff63b-6100-44a9-b563-8fbc0295ec77
                  to: urn:urnId
                  channel: APPLE_BUSINESS_CHAT
                  contentType: VIDEO
                  content:
                    url: https://www.url.com/assets/video.avi
              Sending APPLE BUSINESS CHAT message with DOCUMENT content.:
                summary: Sending APPLE BUSINESS CHAT message with DOCUMENT content.
                description: Sending APPLE BUSINESS CHAT message with DOCUMENT content.
                value:
                  from: 03dff63b-6100-44a9-b563-8fbc0295ec77
                  to: urn:urnId
                  channel: APPLE_BUSINESS_CHAT
                  contentType: DOCUMENT
                  content:
                    url: https://www.url.com/assets/document.doc
              Sending APPLE BUSINESS CHAT message with LIST_PICKER content.:
                summary: Sending APPLE BUSINESS CHAT message with LIST_PICKER content.
                description: Sending APPLE BUSINESS CHAT message with LIST_PICKER content.
                value:
                  from: 03dff63b-6100-44a9-b563-8fbc0295ec77
                  to: urn:urnId
                  channel: APPLE_BUSINESS_CHAT
                  contentType: LIST_PICKER
                  content:
                    images:
                      - imageUrl: https://www.url.com/assets/image1.png
                        identifier: item1ImageIdentifier1
                      - imageUrl: https://www.url.com/assets/image2.png
                        identifier: item1ImageIdentifier2
                      - imageUrl: https://www.url.com/assets/image3.png
                        identifier: item2ImageIdentifier1
                      - imageUrl: https://www.url.com/assets/image4.png
                        identifier: item2ImageIdentifier2
                    appleListPicker:
                      sections:
                        - items:
                            - identifier: item1Identifier1
                              imageIdentifier: item1ImageIdentifier1
                              order: 0
                              style: icon
                              subtitle: item1Subtitle1
                              title: item1Title1
                            - identifier: item1Identifier2
                              imageIdentifier: item1ImageIdentifier2
                              order: 1
                              style: icon
                              subtitle: item1Subtitle2
                              title: item1Title2
                          order: 0
                          title: sectionTitle1
                          multipleSelection: false
                        - items:
                            - identifier: item2Identifier1
                              imageIdentifier: item2ImageIdentifier1
                              order: 0
                              style: icon
                              subtitle: item2Subtitle1
                              title: item2Title1
                            - identifier: item2Identifier2
                              imageIdentifier: item2ImageIdentifier2
                              order: 1
                              style: icon
                              subtitle: item2Subtitle2
                              title: item2Title2
                          order: 1
                          title: sectionTitle2
                          multipleSelection: true
                    requestIdentifier: 5f1c0f4e-3b7a-4d21-9c8e-1a2b3c4d5e6f
                    receivedMessage:
                      style: icon
                      title: receivedMessageTitle
                      subtitle: receivedMessageSubtitle
                      imageIdentifier: receivedMessageImageIdentifier
                    replyMessage:
                      style: small
                      title: replyMessageTitle
                      subtitle: replyMessageSubtitle
                      imageIdentifier: replyMessageImageIdentifier
              Sending APPLE BUSINESS CHAT message with RICH_LINK content.:
                summary: Sending APPLE BUSINESS CHAT message with RICH_LINK content.
                description: Sending APPLE BUSINESS CHAT message with RICH_LINK content.
                value:
                  from: 03dff63b-6100-44a9-b563-8fbc0295ec77
                  to: urn:urnId
                  channel: APPLE_BUSINESS_CHAT
                  contentType: RICH_LINK
                  content:
                    linkUrl: https://www.url.com/assets/link
                    linkTitle: Title
                    imageUrl: https://www.url.com/assets/image.png
                    videoUrl: https://www.url.com/assets/video.avi
              Sending APPLE BUSINESS CHAT message with TIME_PICKER content.:
                summary: Sending APPLE BUSINESS CHAT message with TIME_PICKER content.
                description: Sending APPLE BUSINESS CHAT message with TIME_PICKER content.
                value:
                  from: 03dff63b-6100-44a9-b563-8fbc0295ec77
                  to: urn:urnId
                  channel: APPLE_BUSINESS_CHAT
                  contentType: TIME_PICKER
                  content:
                    images:
                      - imageUrl: https://www.url.com/assets/image1.png
                        identifier: imageIdentifier1
                      - imageUrl: https://www.url.com/assets/image2.png
                        identifier: imageIdentifier2
                    event:
                      identifier: eventIdentifier
                      title: eventTitle
                      timeslots:
                        - duration: 12
                          startTime: 1662045024085
                          identifier: timeslotIdentifier1
                        - duration: 13
                          startTime: 1662045024086
                          identifier: timeslotIdentifier2
                      locationItem:
                        latitude: 1.23
                        longitude: 4.56
                        radius: 7.89
                        title: locationItemTitle
                      imageIdentifier: imageIdentifier
                      timezoneOffset: 1
                    requestIdentifier: 6a2d1e5f-4c8b-4e32-ad9f-2b3c4d5e6f70
                    receivedMessage:
                      style: icon
                      title: receivedMessageTitle
                      subtitle: receivedMessageSubtitle
                      imageIdentifier: receivedMessageImageIdentifier
                    replyMessage:
                      style: small
                      title: replyMessageTitle
                      subtitle: replyMessageSubtitle
                      imageIdentifier: replyMessageImageIdentifier
              Sending APPLE BUSINESS CHAT message with APPLE_QUICK_REPLY_CONTENT content.:
                summary: >-
                  Sending APPLE BUSINESS CHAT message with
                  APPLE_QUICK_REPLY_CONTENT content.
                description: >-
                  Sending APPLE BUSINESS CHAT message with
                  APPLE_QUICK_REPLY_CONTENT content.
                value:
                  from: 03dff63b-6100-44a9-b563-8fbc0295ec77
                  to: urn:urnId
                  channel: APPLE_BUSINESS_CHAT
                  contentType: APPLE_QUICK_REPLY_CONTENT
                  content:
                    quickReply:
                      summary: quick reply summary
                      items:
                        - identifier: quickReplyItem1Identifier
                          title: quickReplyItem1Title
                        - identifier: quickReplyItem2Identifier
                          title: quickReplyItem2Title
                    requestIdentifier: 7b3e2f60-5d9c-4f43-be10-3c4d5e6f7081
              Sending APPLE BUSINESS CHAT message with APPLE_FORM_CONTENT content.:
                summary: >-
                  Sending APPLE BUSINESS CHAT message with APPLE_FORM_CONTENT
                  content.
                description: >-
                  Sending APPLE BUSINESS CHAT message with APPLE_FORM_CONTENT
                  content.
                value:
                  from: 03dff63b-6100-44a9-b563-8fbc0295ec77
                  to: urn:urnId
                  channel: APPLE_BUSINESS_CHAT
                  contentType: APPLE_FORM_CONTENT
                  content:
                    data:
                      pages:
                        - type: DATE_PICKER
                          pageIdentifier: page1Identifier
                          subtitle: page1Subtitle
                          nextPageIdentifier: page1NextIdentifier
                          title: page1Title
                          submitForm: true
                          options:
                            dateFormat: UTF-8
                            startDate: '2022-08-15'
                            maximumDate: '2022-08-01'
                            minimumDate: '2022-08-31'
                            labelText: datePickerLabelText
                        - type: INPUT
                          pageIdentifier: page2Identifier
                          subtitle: page2Subtitle
                          nextPageIdentifier: page2NextIdentifier
                          title: page2Title
                          submitForm: true
                          hintText: page2HintText
                          options:
                            regex: inputRegex
                            placeholder: inputPlaceholder
                            required: true
                            inputType: multiline
                            labelText: inputLabelText
                            prefixText: inputLabelPrefixText
                            maximumCharacterCount: 1
                            keyboardType: namePhonePad
                            appleTextContentType: namePrefix
                        - type: PICKER
                          items:
                            - title: item1Title
                              value: item1Value
                              identifier: item1Identifier
                            - title: item2Title
                              value: item2Value
                              identifier: item2Identifier
                          pageIdentifier: page3Identifier
                          subtitle: page3Subtitle
                          nextPageIdentifier: page3NextIdentifier
                          title: page3Title
                          submitForm: false
                          pickerTitle: page3PickerTitle
                          selectedItemIndex: 2
                        - type: SELECT
                          items:
                            - identifier: item1Identifier
                              title: item1Title
                              value: item1Value
                              nextPageIdentifier: item1NextIdentifier
                              imageIdentifier: item1ImageIdentifier
                            - identifier: item2Identifier
                              title: item2Title
                              value: item2Value
                              nextPageIdentifier: item2NextIdentifier
                              imageIdentifier: item2ImageIdentifier
                          pageIdentifier: page4Identifier
                          subtitle: page4Subtitle
                          nextPageIdentifier: page4NextIdentifier
                          title: page4Title
                          submitForm: true
                          multipleSelection: false
                      startPageIdentifier: dataIdentifier
                      splash:
                        buttonTitle: splash button title
                        splashText: splash text
                        header: splash header
                        imageIdentifier: splash image identifier
                      isPrivate: false
                      showSummary: true
                    images:
                      - imageUrl: https://www.url.com/assets/image1.png
                        identifier: imageIdentifier1
                      - imageUrl: https://www.url.com/assets/image2.png
                        identifier: imageIdentifier2
                    requestIdentifier: 8c4f3071-6ead-4054-cf21-4d5e6f708192
                    receivedMessage:
                      style: icon
                      title: receivedMessageTitle
                      subtitle: receivedMessageSubtitle
                      imageIdentifier: receivedMessageImageIdentifier
                    replyMessage:
                      style: small
                      title: replyMessageTitle
                      subtitle: replyMessageSubtitle
                      imageIdentifier: replyMessageImageIdentifier
              Sending APPLE BUSINESS CHAT message with APPLE_PAY_REQUEST_CONTENT content.:
                summary: >-
                  Sending APPLE BUSINESS CHAT message with
                  APPLE_PAY_REQUEST_CONTENT content.
                description: >-
                  Sending APPLE BUSINESS CHAT message with
                  APPLE_PAY_REQUEST_CONTENT content.
                value:
                  from: 03dff63b-6100-44a9-b563-8fbc0295ec77
                  to: urn:urnId
                  channel: APPLE_BUSINESS_CHAT
                  contentType: APPLE_PAY_REQUEST_CONTENT
                  content:
                    images:
                      - imageUrl: https://www.url.com/assets/image1.png
                        identifier: imageIdentifier_1
                      - imageUrl: https://www.url.com/assets/image2.png
                        identifier: imageIdentifier_2
                    receivedMessage:
                      style: SMALL
                      title: title_received
                      subtitle: subtitle_received
                      imageIdentifier: imageIdentifier_1
                    replyMessage:
                      style: SMALL
                      title: title_reply
                      subtitle: subtitle_reply
                      imageIdentifier: imageIdentifier_2
                    lineItems:
                      - label: item1
                        amount: '0.1'
                        type: Pending
                      - label: item2
                        amount: '1.1'
                        type: Final
                      - label: item3
                        amount: '1111000.992'
                        type: Pending
                    total:
                      label: ApplePayLineItem
                      amount: '22.09'
                      type: Pending
                    shippingMethods:
                      - amount: '15.02'
                        detail: shippingMethodDetail1
                        identifier: identifier1
                        label: label1
                      - amount: '20.10'
                        detail: shippingMethodDetail2
                        identifier: identifier2
                        label: label2
                    requestIdentifier: d19485c6-b3f2-45a9-1476-92a3b4c5d6e7
              Sending APPLE BUSINESS CHAT message with APPLE_AUTH_REQUEST_CONTENT content.:
                summary: >-
                  Sending APPLE BUSINESS CHAT message with
                  APPLE_AUTH_REQUEST_CONTENT content.
                description: >-
                  Sending APPLE BUSINESS CHAT message with
                  APPLE_AUTH_REQUEST_CONTENT content.
                value:
[...]
